curl --request GET \
--url https://api.example.com/plans/{planId} \
--header 'Authorization: <authorization>'{
"planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f",
"externalRef": "prod_stripe_abc",
"name": "Starter",
"description": "For small teams.",
"features": [
{ "description": "Up to 5 users", "type": "INCLUDE" }
],
"intervals": [
{ "planIntervalId": "019525fd-7e40-7c5a-b2d8-4e6f8a0c2e4a", "planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f", "externalRef": "price_stripe_m1", "interval": "MONTHLY", "amount": 4900, "currency": "BRL", "status": "ACTIVE", "createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "createdAt": "2026-01-01T00:00:00.000Z", "updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "updatedAt": "2026-01-01T00:00:00.000Z" }
],
"highlight": false,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
Buscar um plano especifico por ID, incluindo funcionalidades e intervalos de billing.
curl --request GET \
--url https://api.example.com/plans/{planId} \
--header 'Authorization: <authorization>'{
"planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f",
"externalRef": "prod_stripe_abc",
"name": "Starter",
"description": "For small teams.",
"features": [
{ "description": "Up to 5 users", "type": "INCLUDE" }
],
"intervals": [
{ "planIntervalId": "019525fd-7e40-7c5a-b2d8-4e6f8a0c2e4a", "planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f", "externalRef": "price_stripe_m1", "interval": "MONTHLY", "amount": 4900, "currency": "BRL", "status": "ACTIVE", "createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "createdAt": "2026-01-01T00:00:00.000Z", "updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "updatedAt": "2026-01-01T00:00:00.000Z" }
],
"highlight": false,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
plan:read.{
"planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f",
"externalRef": "prod_stripe_abc",
"name": "Starter",
"description": "For small teams.",
"features": [
{ "description": "Up to 5 users", "type": "INCLUDE" }
],
"intervals": [
{ "planIntervalId": "019525fd-7e40-7c5a-b2d8-4e6f8a0c2e4a", "planId": "019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f", "externalRef": "price_stripe_m1", "interval": "MONTHLY", "amount": 4900, "currency": "BRL", "status": "ACTIVE", "createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "createdAt": "2026-01-01T00:00:00.000Z", "updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c", "updatedAt": "2026-01-01T00:00:00.000Z" }
],
"highlight": false,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
curl https://api.awsales.io/admin/plans/019525fd-6b2c-7a1e-9d4f-3c5e7a9b1d3f \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
| Status | Codigo | Descricao |
|---|---|---|
400 | validation_error | Entrada invalida ou campos obrigatorios ausentes |
401 | unauthorized | Autenticacao ausente ou invalida |
403 | forbidden | Permissoes insuficientes |
404 | plan.not_found | Plano nao encontrado |
500 | internal_server_error | Ocorreu um erro inesperado |